Package org.pushingpixels.substance.api.painter.highlight

# Class ClassicHighlightPainter

java.lang.Object
org.pushingpixels.substance.api.painter.highlight.ClassicHighlightPainter

All Implemented Interfaces:
  `SubstanceHighlightPainter`, `SubstanceTrait`

public class ClassicHighlightPainter extends Object implements SubstanceHighlightPainter
Highlight painter that paints a classic gradient. This class is part of officially supported API.

Since:
  version 4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISPLAY_NAME`
The display name for the highlight painters of this class.
`protected ClassicFillPainter`
`painter`
Single gradient painter instance.

## Constructor Summary

Constructors
Constructor
Description
`ClassicHighlightPainter()`
Creates new classic title painter.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`void`
`paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)`
Paints the highlight.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISPLAY_NAME

public static final String DISPLAY_NAME
The display name for the highlight painters of this class.

See Also:
  - Constant Field Values

### painter

protected ClassicFillPainter painter
Single gradient painter instance.

## Constructor Details

### ClassicHighlightPainter

public ClassicHighlightPainter()
Creates new classic title painter.

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Returns:
  The display name of `this` trait.

### paintHighlight

public void paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)
Description copied from interface: `SubstanceHighlightPainter`
Paints the highlight.

Specified by:
  `paintHighlight` in interface `SubstanceHighlightPainter`
Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `width` - Width.
  `height` - Height.
  `colorScheme` - The color scheme for painting the highlight.